AMPS C/C++ Client Class Reference AMPS C/C++ Client Version 5.3.5.7

Here is a list of all documented file members with links to the documentation:

### - a -

- amps_client_attempt_reconnect() : amps.h
- amps_client_connect() : amps.h
- amps_client_create() : amps.h
- amps_client_destroy() : amps.h
- amps_client_disconnect() : amps.h
- amps_client_get_error() : amps.h
- amps_client_get_socket() : amps.h
- amps_client_get_transport() : amps.h
- amps_client_send() : amps.h
- amps_client_send_batch() : amps.h
- amps_client_send_with_version() : amps.h
- amps_client_set_batch_send() : amps.h
- amps_client_set_disconnect_handler() : amps.h
- amps_client_set_http_preflight_callback() : amps.h
- amps_client_set_idle_time() : amps.h
- amps_client_set_message_handler() : amps.h
- amps_client_set_name() : amps.h
- amps_client_set_predisconnect_handler() : amps.h
- amps_client_set_read_timeout() : amps.h
- amps_client_set_thread_created_callback() : amps.h
- amps_client_set_thread_exit_callback() : amps.h
- amps_client_set_transport_filter_function() : amps.h
- AMPS_E_COMMAND : amps.h
- AMPS_E_CONNECTION : amps.h
- AMPS_E_CONNECTION_REFUSED : amps.h
- AMPS_E_DISCONNECTED : amps.h
- AMPS_E_FILTER : amps.h
- AMPS_E_MEMORY : amps.h
- AMPS_E_OK : amps.h
- AMPS_E_RETRY : amps.h
- AMPS_E_SSL : amps.h
- AMPS_E_STREAM : amps.h
- AMPS_E_TOPIC : amps.h
- AMPS_E_TRANSPORT_TYPE : amps.h
- AMPS_E_URI : amps.h
- AMPS_E_USAGE : amps.h
- amps_handle : amps.h
- amps_http_preflight_callback : amps.h
- amps_message_assign_data() : amps.h
- amps_message_assign_field_value() : amps.h
- amps_message_assign_field_value_ownership() : amps.h
- amps_message_copy() : amps.h
- amps_message_create() : amps.h
- amps_message_destroy() : amps.h
- amps_message_get_data() : amps.h
- amps_message_get_field_long() : amps.h
- amps_message_get_field_uint64() : amps.h
- amps_message_get_field_value() : amps.h
- amps_message_reset() : amps.h
- amps_message_set_data() : amps.h
- amps_message_set_data_nts() : amps.h
- amps_message_set_field_guid() : amps.h
- amps_message_set_field_value() : amps.h
- amps_message_set_field_value_nts() : amps.h
- amps_result : amps.h
- amps_ssl_free() : amps.h
- amps_ssl_get_error() : amps.h
- amps_ssl_init() : amps.h
- amps_ssl_load_verify_locations() : amps.h
- amps_ssl_set_verify() : amps.h
- amps_ssl_use_certificate_file() : amps.h
- amps_ssl_use_PrivateKey_file() : amps.h
- amps_tcp_get_socket() : amps.h
- amps_tcps_get_SSL() : amps.h
- amps_thread_created_callback : amps.h
- amps_thread_exit_callback : amps.h
- amps_transport_filter_function : amps.h